Modify a Payment Request

Payment Requests let you receive a payment by creating a link with preconfigured payment options that can then be:
- used in your integration/application allowing a customer to click/follow a link through a button
- sent through your own system in emails, sms or letters
- sent in an email/sms by the PayAdvantage system.

You are able to configure the options available when the link is followed such as the customer, description of the payment being requested, amount, on-charge fees (not available for BPAY), ExternalID (use-full for tracking subsequent payments), payment options and if you would like us to email/sms the initial link and reminders to the customer.




Resend a payment request by providing the amount of days the payment request can remain active.

Path Params
string
required
Body Params
int32 | null

Setting this will update the payment request to expire the specified number of days from today.

boolean
required
PaymentOptions
array of strings | null

Options: credit_card, pay_id, pay_to, bpay, payment_plan, credit_card_authorization, card_authentication_request.
Specify which payment options are available as an array of strings. If using payment plans please ensure you configure the payment plan options in hosted pages.

credit_card allows card payments.
pay_id allows the user to pay using PayID
pay_to allows the user to pay using PayTo

bpay allows BPAY payments.
payment_plan allows the user to pay in installments.
credit_card_authorization requests a hold to be placed on the card. It cannot be combined with other payment options.
card_authentication_request sends a link for an existing credit card payment that requires 3DS authentication. It cannot be combined with other payment options.

PaymentOptions
string | null

Setting this will update the payment request description

double | null

Setting this will update the amount requested to be debited from the customer by the payment request in AUD e.g. $100 would be amount=100.00

Responses
200

OK

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json